﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WebBrowserT
{
    /// <summary>
    /// MainWindow.xaml에 대한 상호 작용 논리
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.Loaded += MainWindow_Loaded;
        }
        Audio a;
        void MainWindow_Loaded(object sender, RoutedEventArgs e)
        {
            a = new Audio();
            a.MediaSrc = System.IO.Path.Combine(Environment.CurrentDirectory.ToString(), @"sound\A001_L001.mp3");
            
            //미디어 플레이 하기전에 삭제 잘됨.
            System.IO.Directory.Delete(System.IO.Path.Combine(Environment.CurrentDirectory, @"sound\"), true);


            workplace.Child = a;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            System.IO.Directory.CreateDirectory(Environment.CurrentDirectory);
            System.IO.File.Copy(System.IO.Path.Combine(Environment.CurrentDirectory, @"soundTmp\A001_L001.mp3"), System.IO.Path.Combine(Environment.CurrentDirectory, @"sound\A001_L001.mp3"));

            a = new Audio();
            a.MediaSrc = System.IO.Path.Combine(Environment.CurrentDirectory, @"sound\A001_L001.mp3");
            a.play();

        }

        private void Button_Click2(object sender, RoutedEventArgs e)
        {
            a.stop();

        }

        private void Button_Click1(object sender, RoutedEventArgs e)
        {
            a.dispose();
            a = null;
            root.Children.Clear();
            GC.Collect();
            try
            {
                //프로세스를 잡고 있음.
                //System.IO.File.Delete(System.IO.Path.Combine(Environment.CurrentDirectory, @"sound\A001_L001.mp3"));
                

                //미디어를 실행하고, 초기화를 진행하고 실행시 오류가 발생됨.
                //그러나 sound 폴더의 파일은 삭제되어 있음.
                System.IO.Directory.Delete(System.IO.Path.Combine(Environment.CurrentDirectory, @"sound\"), true);
                
            }
            catch (Exception ex)
            {
                MessageBox.Show("A"+ ex.ToString());
                Console.WriteLine(ex.ToString());
                Console.WriteLine(ex.ToString());
            }

        }
    }
}
